library hello;

uses NkMonAPI;

{$E nmp}

var
  Flag: Boolean;
  Msg, RevMsg: string;

function gauge_init: Integer; stdcall;
var
  i: Integer;
begin
  // Get configuration from "conf.plugin.hello.msg"
  // Default is "Hello!"
  Msg := nkmConf(HInstance, 'msg', 'Hello!');
  for i := Length(Msg) downto 1 do
    RevMsg := RevMsg + Msg[i];
  nkmLog(HInstance, 'This is hello-plugin.');
  Flag := True;
  Result := 2; // Return default update interval (sec)
end;

procedure gauge_update; stdcall;
begin
  if Flag then
    nkmSetValue(HInstance, 'msg', PChar(Msg))
  else
    nkmSetValue(HInstance, 'msg', PChar(RevMsg));
  Flag := not Flag;
end;

exports
  gauge_init,
  gauge_update;

end.
